	/* body */
body {
	background-color: #3399CC; 
	margin: 20px 0px 20px 0px;
	-webkit-text-size-adjust: 100%;
}

	/* grid_container */
.grid-container {
	display: grid;
	grid-template-columns: auto;
	gap: 5px;
	padding: 10px 20px;
	width: 800px;
	margin: auto;
}

.grid-container > div {
	background-color: #ffff99;
	border: 1px solid black;
	border-radius: 5px;
	padding: 5px 25px;
}

.grid-container > div:nth-of-type(1) {
	font-size: 50px;
	corner-shape: scoop;
}

.grid-container > div:nth-of-type(2) {
	display: none;
/*	visibility: hidden; */
}

.grid-container > div:nth-of-type(3) {
/*	max-height: 800px; */
/*	overflow: auto; */
}

.grid-container > div:nth-of-type(4) {
	text-align: right;
	corner-shape: squircle;
}

.grid-alma-top {
	display: grid;
	grid-template-columns: auto;
	border: 5px solid black;
	border-bottom: none;
	width: 80%;
	margin: auto;
}

.grid-alma-top > div {
	background-color: silver;
	text-align: center;
	font-size: 30px;
	font-weight: bold;
}

.grid-alma-top > div:nth-of-type(1) > span:nth-of-type(3n+1) {
/*	visibility: hidden; */
/*	display: contents; */
	display: none;
}

.grid-alma-top > div:nth-of-type(1) > span:nth-of-type(3n+1)::before {
	content: '';
	border: solid black;
	border-width: 0 3px 3px 0;
	display: inline-block;
	width: 15px;
	height: 15px;
	transform: rotate(135deg);
	translate: -50px 0;
}

.grid-alma-top > div:nth-of-type(1) > span:nth-of-type(4)::before {
	transform: rotate(-45deg);
	translate: 50px 0;
}

.grid-alma {
	display: grid;
	grid-template-columns: 50px 50px auto 60px;
	border: 5px solid black;
	border-top: none;
	gap: 1px;
	width: 80%;
	max-height: 800px;
	margin: auto;
	overflow: auto;
}

.grid-alma-week {
	display: grid;
	grid-template-columns: repeat(8, minmax(0, 1fr));
	gap: 1px;
	width: 80%;
	margin: auto;
	border: 5px solid black;
	border-top: none;
}

.grid-alma > div,
.grid-alma-week > div {
	color: white;
	background-color: blue;
}

.grid-alma > div:is(:nth-of-type(4n+1),:nth-of-type(4n+4)) {
	font-size: 25px;
	text-align: right;
}

.grid-alma > div:nth-of-type(4n+2) {
	font-size: 12px;
	box-sizing: border-box;
	border-left: 5px solid rgba(0, 0, 0, 0);
	border-right: 5px solid rgba(0, 0, 0, 0);
}

.grid-alma > div:nth-of-type(4n+2) > div:nth-of-type(1) {
	text-align: right;
/*	display: grid; */
/*	align-items: end; */
	height: 50%;
}

.grid-alma > div:nth-of-type(4n+2) > div:nth-of-type(1)::before {
	content: '(';
}

.grid-alma > div:nth-of-type(4n+2) > div:nth-of-type(1)::after {
	content: ')';
}

.grid-alma > div:nth-of-type(4n+2) > div:nth-of-type(2) {
	display: grid;
	align-items: end;
	height: 50%;
}

.grid-alma > div:nth-of-type(4n+3) {
	font-size: 12px;
	display: grid;
	align-items: end;
	interpolate-size: allow-keywords;
}

.grid-alma > div:nth-of-type(4n+4)[id*='V']::after,
.grid-alma-week > div:nth-of-type(8n+16):nth-of-type(-n+80)::after {
	content: '\00a0';
}

.grid-alma div[id*='red']:nth-last-child(n+5) {
	margin-bottom: 5px;
}

.grid-alma > div:nth-of-type(4n+4)[id*='V'],
.grid-alma-week > div:nth-of-type(8n+8)[id*='V'] {
	font-style: italic;
}

.grid-alma > div:nth-of-type(4n+4)[id*='V']::before,
.grid-alma-week > div:nth-of-type(8n+8)[id*='V']::before {
	content: 'V\00a0';
}

.grid-alma > div[id*='red'],
.grid-alma-week > div[id*='red'] {
	background-color: darkred;
/*	background-color: crimson; */
}

.grid-alma > div[id*='black'],
.grid-alma-week > div[id*='black'] {
	background-color: black;
}

.grid-alma-week > div:nth-of-type(n+1):nth-of-type(-n+7) {
	text-align: center;
}

.grid-alma-week > div:nth-of-type(8n+9):nth-of-type(-n+80) {
	height: 70px;
/*	background-color: red; */
}

.grid-alma-week > div:nth-of-type(8n+16):nth-of-type(-n+80) {
	font-size: 16px;
	text-align: right;
/*	background-color: red; */
}

.grid-alma-week > div:nth-of-type(8),
.grid-alma-week > div:nth-of-type(8n+8)[id*='V'] {
	width: 60%;
	margin-left: 40%;
}

/*
.grid-alma-week-day {
	display: grid;
	grid-template-rows: 25px minmax(0, 1fr) auto;
	width: 100%;
	height: 100%;
/ *	border: 1px solid red; * /
}
*/

.grid-alma-week > div > div:nth-of-type(1) {
	font-size: 25px;
	height: 50%;
/*	border: 1px solid red; */
}

.grid-alma-week > div > div:nth-of-type(1)::before {
	content: '\00a0';
}

.grid-alma-week > div > div:nth-of-type(1) > div {
	font-size: 12px;
	text-align: right;
	float: right;
}

.grid-alma-week > div > div:nth-of-type(1) > div::before {
	content: '(';
}

.grid-alma-week > div > div:nth-of-type(1) > div::after {
	content: ')\00a0';
}

.grid-alma-week > div > div:nth-of-type(2) {
	font-size: 12px;
	height: 50%;
	display: grid;
	align-items: end;
/*	border: 1px solid red; */
}

.grid-alma-week > div:not(:has(div)):nth-of-type(n+9):nth-of-type(-n+80):not(div:nth-of-type(8n+16):nth-of-type(-n+80)) {
	visibility: hidden;
/*	background-color: red; */
}

#dagwstorx,
#dagwstorxs,
#x {
	color: white;
	background-color: blue;
	position: fixed;
/*	transition: all 0s,
font calc(0.2s * 10),
width calc(0.2s * 10),
height calc(0.2s * 10),
margin 0s; */
/* transition: calc(0.2s * 10),margin 0s; */
/* transition: height calc(0.2s * 10),width calc(0.2s * 10); */
	transition: all calc(0.2s * 10),margin 0s;
	height: 0px;
	width: 0px;
	text-align: center;
	overflow: auto;
	border: 5px solid black;
	font-size: 50px;
	font-weight: bold;
	interpolate-size: allow-keywords;
}

#dagwstorxs {
	background-color: darkred;
}
